关于opensuse的滚动升级问题,求解~

头像
wwkwkj
帖子: 318
注册时间: 2010-12-19 17:00
系统: opensuse12.2*kde4.9
送出感谢: 2 次
接收感谢: 1 次

关于opensuse的滚动升级问题,求解~

#1

帖子 wwkwkj » 2012-10-05 13:37

想用opensuse的滚动更新,官方说的是这样的:

代码: 全选

[color=#40BF80]
[color=#00BF00]谁最该来尝试 Tumbleweed

任何想使用最新的软件包的用户。而且不仅仅只是最新的软件包,还有新的 Linux 内核、SAMBA 和 git 等等。

由于 Linux 内核升级频繁,不推荐使用私有显卡驱动程序的用户使用 Tumbleweed 供应源,除非有能力自己从源代码升级驱动。若您十分有兴趣,不妨也可以试试,Nvidia 或 ATI 的“麻烦的方式”章节有些相关的介绍。在此提醒一下,Packman 供应源在 Tumbleweed 中也是可用的。

由于是滚动升级,所以没有具体的针对不同版本的供应源(11.3 例外,因为 Tumbleweed 在 11.3 上只是一个测试)。这也意味着如果您使用了 Tumbleweed,您将不需再升级到新的版本,因为您已经在用最新的版本了。[/color]
- 添加 Tumbleweed 供应源并开启自动刷新:

zypper ar --refresh http://download.opensuse.org/repositories/openSUSE:/Tumbleweed/standard/ Tumbleweed
- 添加当前openSUSE最新稳定源并开启自动刷新:

sudo zypper ar --refresh \
http://download.opensuse.org/distribution/openSUSE-current/repo/oss/ \
'openSUSE Current OSS'

sudo zypper ar --refresh \
http://download.opensuse.org/distribution/openSUSE-current/repo/non-oss/ \
'openSUSE Current non-OSS'

sudo zypper ar --refresh \
http://download.opensuse.org/update/openSUSE-current/ \
'openSUSE Current updates'

sudo zypper ar --refresh \
http://download.opensuse.org/update/openSUSE-non-oss-current/ \
'openSUSE Current non-OSS updates'[/color]
我按照要求做以后,源是这样的:
linux16.png
然后看内核是这样的:

代码: 全选

[color=#008080]~> uname -a
Linux linux-dcte.site 3.4.6-2.10-desktop #1 SMP PREEMPT Thu Jul 26 09:36:26 UTC 2012 (641c197) i686 i686 i386 GNU/Linux[/color]
而滚动源里面的内核版本是这样的:
linux17.png
于是我就成这样的了: :em49 :em49
有哪个哥哥姐姐弟弟妹妹阿姨叔叔知道该怎么弄opensuse的滚动更新啊 :em06 :em06
上次由 wwkwkj 在 2012-10-05 17:51,总共编辑 1 次。
每个论坛里面,都会有几个默默的不为我知的大牛,于是每次,我都心存敬畏

openSUSE12.2+KDE4.9+XP
头像
枫叶饭团
论坛版主
帖子: 14684
注册时间: 2010-06-16 1:05
系统: Mac OS X
来自: Tencent
送出感谢: 1 次
接收感谢: 132 次
联系:

Re: 关于opensuse的滚动升级版本问题,求解~

#2

帖子 枫叶饭团 » 2012-10-05 13:40

汗,内核居然比我还新。。。扔掉opensuse很多年,想滚动来arch
头像
wwkwkj
帖子: 318
注册时间: 2010-12-19 17:00
系统: opensuse12.2*kde4.9
送出感谢: 2 次
接收感谢: 1 次

Re: 关于opensuse的滚动升级版本问题,求解~

#3

帖子 wwkwkj » 2012-10-05 13:51

枫叶饭团 写了:汗,内核居然比我还新。。。扔掉opensuse很多年,想滚动来arch
我好像明白了,在yast2在线更新里看到这个:
linux18.png
是不是我把下面的版本选3.6然后接受就ok了啊?
但是为什么有3.6的kernel-desktop却不提示更新呢 :em23 :em23
每个论坛里面,都会有几个默默的不为我知的大牛,于是每次,我都心存敬畏

openSUSE12.2+KDE4.9+XP
头像
wwkwkj
帖子: 318
注册时间: 2010-12-19 17:00
系统: opensuse12.2*kde4.9
送出感谢: 2 次
接收感谢: 1 次

Re: 关于opensuse的滚动升级版本问题,求解~

#4

帖子 wwkwkj » 2012-10-05 14:00

枫叶饭团 写了:想滚动来arch
arch没用过,不过看安装方法就感觉头大,现在懒得折腾了,俺是铁杆kde,感觉opensuse的kde已经非常完美了
第一次用linux是ubuntu,g桌面,后来用u装了kde好像版本是3.7还是3.6来着,各种崩溃,后来又用过fedora时间很短,后来转到debian,也是装的kde桌面,没什么亮点。再后来有人说opensuse,就用opensuse了,到现在,opensuse kde4.9+xp,中间又装过mint因为mint的排行,结果挺失望的
还是opensuse适合我啊 :em05 :em05
每个论坛里面,都会有几个默默的不为我知的大牛,于是每次,我都心存敬畏

openSUSE12.2+KDE4.9+XP
B-E-W-D
帖子: 25
注册时间: 2011-02-05 9:40
送出感谢: 0
接收感谢: 0

Re: 关于opensuse的滚动升级版本问题,求解~

#5

帖子 B-E-W-D » 2012-10-05 14:28

楼主,我刚从ubuntu转到opensuse(KDE)来。求帮助,加我gmail吧——zhenhongying@gmail.com
头像
wwkwkj
帖子: 318
注册时间: 2010-12-19 17:00
系统: opensuse12.2*kde4.9
送出感谢: 2 次
接收感谢: 1 次

Re: 关于opensuse的滚动升级版本问题,求解~

#6

帖子 wwkwkj » 2012-10-05 15:45

B-E-W-D 写了:楼主,我刚从ubuntu转到opensuse(KDE)来。求帮助,加我gmail吧——zhenhongying@gmail.com
我没有gmail耶。。。。
opensuse很稳定的啊,一般不会遇到什么问题,遇到问题google就ok了
我就有个qqmail wwkwkj@qq.com :em06
每个论坛里面,都会有几个默默的不为我知的大牛,于是每次,我都心存敬畏

openSUSE12.2+KDE4.9+XP
头像
wwkwkj
帖子: 318
注册时间: 2010-12-19 17:00
系统: opensuse12.2*kde4.9
送出感谢: 2 次
接收感谢: 1 次

Re: 关于opensuse的滚动升级版本问题,求解~

#7

帖子 wwkwkj » 2012-10-05 15:49

代码: 全选

[color=#0000BF]zypper dup --from Tumbleweed[/color]
把内核给升了,然后安装nvidia官方的驱动

还是不明白为什么加了滚动的源却u不提醒更新呢
估计还有好多东西都不是滚动源里面的
每个论坛里面,都会有几个默默的不为我知的大牛,于是每次,我都心存敬畏

openSUSE12.2+KDE4.9+XP
头像
qgymib
帖子: 539
注册时间: 2010-04-02 16:44
系统: openSUSE 13.2 x64
送出感谢: 2 次
接收感谢: 9 次

Re: 关于opensuse的滚动升级问题,求解~

#8

帖子 qgymib » 2012-10-05 18:00

还是不明白为什么加了滚动的源却u不提醒更新呢
估计还有好多东西都不是滚动源里面的
一般是依赖没有解决,比如packman和oss有许多包版本不一样
还有就是update源没有指定可升级的包发行方式的改变。比如你现在的情况,虽然有3.6可以更新,但是update源里面只有3.4,且不指明发行方式改变为openSUSE:/Tumbleweed/standard/ Tumbleweed,那么系统查找更新时会略过Tumbleweed这个更新,因为对于系统来说这个更新并不合法。
这些用户感谢了作者 qgymib 于这个帖子:
wwkwkj (2012-10-07 19:32)
评价: 3.7%
正在建设中的个人博客
头像
wwkwkj
帖子: 318
注册时间: 2010-12-19 17:00
系统: opensuse12.2*kde4.9
送出感谢: 2 次
接收感谢: 1 次

Re: 关于opensuse的滚动升级问题,求解~

#10

帖子 wwkwkj » 2012-10-05 18:17

qgymib 写了:
还是不明白为什么加了滚动的源却u不提醒更新呢
估计还有好多东西都不是滚动源里面的
一般是依赖没有解决,比如packman和oss有许多包版本不一样
还有就是update源没有指定可升级的包发行方式的改变。比如你现在的情况,虽然有3.6可以更新,但是update源里面只有3.4,且不指明发行方式改变为openSUSE:/Tumbleweed/standard/ Tumbleweed,那么系统查找更新时会略过Tumbleweed这个更新,因为对于系统来说这个更新并不合法。
这位大侠,我要怎么样设置才能让系统默认从Tumbleweed来更新呢?
要把别的源都删除吗?
:em42 :em42
每个论坛里面,都会有几个默默的不为我知的大牛,于是每次,我都心存敬畏

openSUSE12.2+KDE4.9+XP
头像
wwkwkj
帖子: 318
注册时间: 2010-12-19 17:00
系统: opensuse12.2*kde4.9
送出感谢: 2 次
接收感谢: 1 次

Re: 关于opensuse的滚动升级问题,求解~

#11

帖子 wwkwkj » 2012-10-05 18:18

photor 写了:opensuse也可以滚动更新? :em09
是啊,好像从11.3以后就可以了
每个论坛里面,都会有几个默默的不为我知的大牛,于是每次,我都心存敬畏

openSUSE12.2+KDE4.9+XP
头像
qgymib
帖子: 539
注册时间: 2010-04-02 16:44
系统: openSUSE 13.2 x64
送出感谢: 2 次
接收感谢: 9 次

Re: 关于opensuse的滚动升级问题,求解~

#12

帖子 qgymib » 2012-10-05 19:21

我要怎么样设置才能让系统默认从Tumbleweed来更新呢?
要把别的源都删除吗?
正常情况下这是不可能的 :em04 ,因为Tumbleweed不可能包含所有的软件包,一旦这么做了,你zypper update的时候会有一大堆connect error,而且貌似zypper也没有提供类似的命令。

一个类似可行的方法是

代码: 全选

sudo zypper dup --from Tumbleweed 
以使系统核心软件包从Tumbleweed升级,并且在正常情况下被升级的包的发行方式会改变为Tumbleweed。不过这样的话你每次升级都必须从终端升级了。

http://en.opensuse.org/Portal:Tumbleweed中How to try Tumbleweed? 应该已经说的比较清楚了

lz用了Tumbleweed有什么感想可以贴出来哈,毕竟这只是一个分支,还有许多问题需要我们大家一起解决 :em11
正在建设中的个人博客
头像
牵牛星
帖子: 998
注册时间: 2011-11-26 11:44
来自: ★光坂高校文艺部★
送出感谢: 3 次
接收感谢: 12 次

Re: 关于opensuse的滚动升级问题,求解~

#13

帖子 牵牛星 » 2012-10-05 19:53

有virtualbox-guest-kmp-desktop之类(加个源搞定)的依赖使“更新将不会被安装”,,用Tumbleweed的话就不要启用12.2的源
然后就是这个了 http://en.opensuse.org/SDB:Vendor_chang ... dor_change
这些用户感谢了作者 牵牛星 于这个帖子:
wwkwkj (2012-10-07 19:33)
评价: 3.7%
openSUSE+KDE
我用A卡,不曾杯具
驱动开源之不提倡者
AMD_N930+AMD_HD5470+AMD_M880G(3A党)
Linux就是2B(NB的架构+SB的驱动)
子曰:写C时适当d "断行" || "缩进" || "空格" == "注释"
头像
wwkwkj
帖子: 318
注册时间: 2010-12-19 17:00
系统: opensuse12.2*kde4.9
送出感谢: 2 次
接收感谢: 1 次

Re: 关于opensuse的滚动升级问题,求解~

#14

帖子 wwkwkj » 2012-10-05 20:13

qgymib 写了:
我要怎么样设置才能让系统默认从Tumbleweed来更新呢?
要把别的源都删除吗?
正常情况下这是不可能的 :em04 ,因为Tumbleweed不可能包含所有的软件包,一旦这么做了,你zypper update的时候会有一大堆connect error,而且貌似zypper也没有提供类似的命令。

一个类似可行的方法是

代码: 全选

sudo zypper dup --from Tumbleweed 
以使系统核心软件包从Tumbleweed升级,并且在正常情况下被升级的包的发行方式会改变为Tumbleweed。不过这样的话你每次升级都必须从终端升级了。

http://en.opensuse.org/Portal:Tumbleweed中How to try Tumbleweed? 应该已经说的比较清楚了

lz用了Tumbleweed有什么感想可以贴出来哈,毕竟这只是一个分支,还有许多问题需要我们大家一起解决 :em11
感想?木有感想啊,该干嘛干嘛啊,就是更新内核以后从新装nvidia显卡驱动呗 ps:我用的nvidia闭源驱动
从opensuse12.2的那个叫什么什么2的不是正式版的版本下的dvd装的,然后就有更新就更新呗,然后又把kde从4.8升到4.9,然后,又加滚动的源,有事没事滚一下,然后,就没有什么然后了啊
从此,wwkwkj用着opensuse12.2+kde4.9+不会自己滚的滚动,幸福快乐的上着ubuntu论坛 :em04
每个论坛里面,都会有几个默默的不为我知的大牛,于是每次,我都心存敬畏

openSUSE12.2+KDE4.9+XP
头像
wwkwkj
帖子: 318
注册时间: 2010-12-19 17:00
系统: opensuse12.2*kde4.9
送出感谢: 2 次
接收感谢: 1 次

Re: 关于opensuse的滚动升级问题,求解~

#15

帖子 wwkwkj » 2012-10-05 20:44

牵牛星 写了:有virtualbox-guest-kmp-desktop之类(加个源搞定)的依赖使“更新将不会被安装”,,用Tumbleweed的话就不要启用12.2的源
然后就是这个了 http://en.opensuse.org/SDB:Vendor_chang ... dor_change
这个。。。。我开启的源是有点过多啊,可是,如果把12.2的源都关了的话,会不会导致软件包不全呢,用浏览器看的tumbleweed源里面的软件并不多啊
每个论坛里面,都会有几个默默的不为我知的大牛,于是每次,我都心存敬畏

openSUSE12.2+KDE4.9+XP
回复

回到 “OpenSUSE发行版”